import { Module, Mutation, VuexModule } from 'vuex-module-decorators';

@Module
export default class LocalStorage extends VuexModule {
  id_token = localStorage.getItem('id_token');
  role_State= localStorage.getItem('current_role');

  get idToken(): string|null {
    return this.id_token;
  };

  get currentRole(): string|null {
    return this.role_State;
  };

  @Mutation storageIdToken(token: string): void {
    localStorage.setItem('id_token', token);
    this.id_token = localStorage.getItem('id_token') ;
  };

  @Mutation storageRole(role:string): void {
    localStorage.setItem('current_role', role);
    this.role_State = localStorage.getItem('current_role');
  };

  @Mutation storageClear(): void {
    localStorage.clear();
    this.id_token = localStorage.getItem('id_token');
    this.role_State = localStorage.getItem('roleOfState');
  }
}
